package ch.unige.solidify.test;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import ch.unige.solidify.test.specification.ResourceCETTest;
import ch.unige.solidify.test.specification.ResourceTest;
import ch.unige.solidify.test.specification.SearchSpecificationTest;
import ch.unige.solidify.test.util.ChecksumTest;
import ch.unige.solidify.test.util.ReflectionToolTest;
import ch.unige.solidify.test.util.StringCipherToolsTest;
import ch.unige.solidify.test.util.StringParserToolTest;

@RunWith(Suite.class)

@Suite.SuiteClasses(value = {
        ResourceTest.class,
        SearchSpecificationTest.class,
        ChecksumTest.class,
        ReflectionToolTest.class,
        StringParserToolTest.class,
        ResourceCETTest.class,
        StringCipherToolsTest.class
})
public class ModelTestSuite {
}
