
package ch.unige.solidify.test.config;

import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@Configuration
@EnableJpaRepositories(basePackages = "ch.unige.solidify.test.specification.dao")
@ComponentScan({ "ch.unige.solidify.test" })
@EntityScan(basePackages = "ch.unige.solidify.test")
@EnableTransactionManagement
public class MockUserJpaConfig {

}
