package ch.unige.solidify.test.specification.dao;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.springframework.data.jpa.domain.Specification;

import ch.unige.solidify.rest.ResourceCET;

@Entity
@Table(name = "EntityCETMock")
public class EntityCETMock extends ResourceCET<EntityCETMock> {

  @Id
  @Column(name = "id")
  private String entityId;

  private String label;

  @Override
  public String getEntityId() {
    return this.entityId;
  }

  public String getLabel() {
    return this.label;
  }

  @Override
  public Specification<EntityCETMock> getSpecification() {
    return null;
  }

  @Override
  public void init() {

  }

  @Override
  public String managedBy() {
    return null;
  }

  public void setEntityId(String entityId) {
    this.entityId = entityId;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  @Override
  public String toString() {
    return "EntityCETMock{" +
            "entityId='" + this.entityId + '\'' +
            ", label='" + this.label + '\'' +
            ", createdby='" + super.getCreatedBy() + '\'' +
            ", createdAt='" + super.getCreatedAt() + '\'' +
            ", updatedby='" + super.getUpdatedBy() + '\'' +
            ", upatedAt='" + super.getUpdatedAt() + '\'' +
            ", creation='" + super.getCreation() + '\'' +
            ", upate='" + super.getLastUpdate() + '\'' +
            '}';
  }
}
